org.codehaus.plexus.configuration.io

## Class XmlPlexusConfigurationReader

- java.lang.Object
- - org.codehaus.plexus.configuration.io.XmlPlexusConfigurationReader

All Implemented Interfaces:
  PlexusConfigurationReader

    public class XmlPlexusConfigurationReader
    extends java.lang.Object
    implements PlexusConfigurationReader

### Constructor Summary

Constructors
Constructor and Description
`XmlPlexusConfigurationReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PlexusConfiguration` `read(java.io.InputStream inputStream)`
`PlexusConfiguration` `read(java.io.Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlPlexusConfigurationReader

    public XmlPlexusConfigurationReader()

### Method Detail

#### read

    public PlexusConfiguration read(java.io.InputStream inputStream)
                             throws java.io.IOException,
                                    PlexusConfigurationException

Specified by:
  `read` in interface `PlexusConfigurationReader`
Throws:
  `java.io.IOException`
  `PlexusConfigurationException`

#### read

    public PlexusConfiguration read(java.io.Reader reader)
                             throws java.io.IOException,
                                    PlexusConfigurationException

Specified by:
  `read` in interface `PlexusConfigurationReader`
Throws:
  `java.io.IOException`
  `PlexusConfigurationException`